XmLGridGetSelectedCells(3X)

NAME
XmLGridGetSelectedCells - retrieve positions of currently selected cells

SYNTAX
int XmLGridGetSelectedCells(widget, rowPositions, columnPositions, count)
Widget widget;
int *rowPositions;
int *columnPositions;
int count;

ARGUMENTS

widget
    Grid widget ID

rowPositions
    position of content rows

columnPositions
    positions of content columns

count
    number of position pairs

DESCRIPTION
Returns the row and column positions of the currently selected cells. The count value passed to this function must equal the number of currently selected cells. The number of currently selected cells can be found by calling XmLGridGetSelectedCellCount(). The rowPositions and columnPositions arrays must be allocated before calling this function and must have enough space to hold the positions which will be returned. This function does not allocate memory; it is the application's responsibility to allocate and deallocate the space used to hold the row and column positions.

RETURN VALUE
0 is returned upon successful completion. A value of -1 is returned and an error message is generated if count does not equal the number of currently selected cells.

SEE ALSO
XmLGridGetSelectedCellCount(3X)